Package htsjdk.samtools

# Class ReservedTagConstants

java.lang.Object
htsjdk.samtools.ReservedTagConstants

public class ReservedTagConstants extends Object
Constants for tags used in our SAM/BAM files

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NM`
Number of nucleotide differences (Specified in the SAM spec doc)
`static final String`
`OC`
The original cigar before indel cleaning, or 454 cafie and homopolymer correction
`static final String`
`OQ`
The original pred quality scores before modifications such as 454 cafie and homopolymer correction
`static final String`
`PROGRAM_GROUP_ID`
`static final String`
`READ_GROUP_ID`
`static final String`
`XF`
The Four54 edit string of 454 cafie and homopolymer corrections
`static final String`
`XN`
Present and set to 1 if a read is a noise read.
`static final String`
`XQ`
The sum of the mismatched qualities.
`static final String`
`XS`
The original sequence before 454 cafie and homopolymer correction
`static final String`
`XT`
The name of an attribute which stores the 1-based index of the start of sequence within a read (in original orientation) that should be clipped or trimmed before alignment and downstream use.

## Constructor Summary

Constructors
Constructor
Description
`ReservedTagConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### READ_GROUP_ID

public static final String READ_GROUP_ID

### PROGRAM_GROUP_ID

public static final String PROGRAM_GROUP_ID

### XN

public static final String XN
Present and set to 1 if a read is a noise read.

See Also:
  - Constant Field Values

### NM

public static final String NM
Number of nucleotide differences (Specified in the SAM spec doc)

### XQ

public static final String XQ
The sum of the mismatched qualities.

See Also:
  - Constant Field Values

### XT

public static final String XT
The name of an attribute which stores the 1-based index of the start of sequence within a read (in original orientation) that should be clipped or trimmed before alignment and downstream use. The region to be clipped extends from this position to the end of the read.

See Also:
  - Constant Field Values

### XS

public static final String XS
The original sequence before 454 cafie and homopolymer correction

See Also:
  - Constant Field Values

### XF

public static final String XF
The Four54 edit string of 454 cafie and homopolymer corrections

       editString ::= {base operator position [- position]}* ;  // Cafie needs 2 positions
       base ::= A | T | G | C | N ;   // N only for undercall
       operator ::= o | u | c ;       // o = Overcall, u = Undercall, c = Cafie.
       position is 0 based position of the correction (assuming forward strand) .  Cafie positions are to-from.
       For example: XF :Z:Gc4-6Nu11Co15 means a cafie correction moved a G from position 6 to 4,
       an N was inserted for an undercall at position 11, and a C was removed as an overcall at position 15

See Also:
  - Constant Field Values

### OQ

public static final String OQ
The original pred quality scores before modifications such as 454 cafie and homopolymer correction

### OC

public static final String OC
The original cigar before indel cleaning, or 454 cafie and homopolymer correction

See Also:
  - Constant Field Values

## Constructor Details

### ReservedTagConstants

public ReservedTagConstants()